Skip to main content
GET
List spend logs

Authorizations

Authorization
string
header
required

Telnyx API key

Path Parameters

instance_id
string<uuid>
required

The Agent Gateway's id.

Query Parameters

page[number]
integer
default:1

The page to return, counting from 1.

Required range: x >= 1
page[size]
integer
default:50

Results per page.

Required range: 1 <= x <= 100
start
string<date-time>

The window's start, an RFC 3339 timestamp with an offset. Defaults to 24 hours before end.

end
string<date-time>

The window's end, an RFC 3339 timestamp with an offset. Defaults to now.

key_id
string

Only the requests made with this key.

Pattern: ^[0-9a-f]{64}$
team_id
string<uuid>

Only the requests made with this team's keys.

Response

One page of spend logs

data
object[]
required
meta
object
required